requirejs.config({
	baseUrl: 'app/scripts/lib',
	paths: {
		tpl: '../tpl'
	}
});

// Start the main app logic.
requirejs(['jquery', 'util', 'renderer'],
		function ($, util, renderer) {

			var xml_doc = $('#xml_data'),
					root = xml_doc.find('root').detach(),
					resize_timeout;
			app_data = {
				data: root,
				path: '',
				path_media: '',
				mode: root.attr('mode').toLowerCase(),
				num_tasks: root.find('task').length,
				all_done: false,
				cur_task: 0,
				tasks: [],
				showPromptButtonAfter: 2,
				showRightAnswerButtonAfter: 3
			};
			//window.app_data = app_data;
			for (var i = 0; i < app_data.num_tasks; i++) {
				var comps = $(root.find('task')[i]).find('component'), cl = comps.length;
				app_data.tasks[i] = {comps: comps, ncomps: cl, showed: [], current: null, current_result: 0, tier: 0, state: null, tip_showed: false, correct_showed: false}
			}

			window.gScale = util.scale_page(true);
			renderer.render_main('#main', app_data);

		});
